%define	version	2.0.1
%define rel 1

# NOTE: set prerelease to 0 for official releases, 1 for pre-releases
%define prerelease 0

%if %prerelease
%define pre_version pr8
%define release	0.%{pre_version}.%{rel}mdk
%else
%define pre_version %{nil}
%define release %{rel}mdk
%endif

Summary:	fcitx - Free Chinese Input Toys for X
Name:		fcitx
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Internationalization
URL:		http://fcitx.org/
Source0:	%{name}-%{version}%{pre_version}.tar.bz2
Source1:	%{name}.README.bz2
Patch0:		%{name}-2.0.1-cflags.patch.bz2
Patch1:		%{name}-2.0.1-winposition.patch.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	XFree86-devel
Requires:	locales-zh

%description
%{name} is an X input method allowing people to enter simplified Chinese
characters in X environment following XIM standard.

%prep
%setup -q -n %{name}-%{version}%{pre_version}
%patch0 -p1 -b .cflags
%patch1 -p1 -b .mainwin-position
%__make clean

bzcat %{SOURCE1} > README.mandrake

%build
%make CFLAGS="%optflags -Wall"

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/%{name}
install -m 755 -D fcitx %{buildroot}%{_bindir}/fcitx
for i in data/punc.mb data/wbx.mb data/pybase.mb data/pyphrase.mb; do
	install -m 644 $i %{buildroot}%{_datadir}/%{name}/
done

%clean
rm -rf %{buildroot}

%pre
if [ $1 -eq 1 ]; then
  echo "Please read %{_docdir}/%{name}-%{version}/README.mandrake"
  echo "for more info on how to prepare to use %{name}."
fi

%files
%defattr(-,root,root)
%doc README.mandrake doc/
%{_bindir}/*
%{_datadir}/%{name}

%changelog
* Wed Jan 28 2004 Abel Cheung <deaddog@deaddog.org> 2.0.1-1mdk
- First Mandrake package
- Patch0: Allows using mandrake CFLAGS
- Patch1: Move default mainwindow a bit lower, in order not to block
  top panel (if desktop has top panel, that is)
- Source1: Some terse instruction on how to use fcitx
